Skip to main content
Monitoring & Collection/Monitoring Query & Overview

GetSLAReport

Generate a Service Level Agreement (SLA) report for a platform over a given period

GET/api/v1/monitoring/platform/{platformUuid}/sla-report

Operation ID

GetSLAReport

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • platformUuid
    StringRequired

    UUID of the platform to generate the SLA report for

Query Parameters

  • period
    String

    Reporting period identifier (e.g. 2024-01, last-30d) Reporting period identifier (e.g. 2024-01, last-30d)

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • platformUuid
    String

    UUID of the platform this SLA report covers

    Example: plat-001-abc

  • period
    String

    Reporting period (e.g. 2024-01, last-30d)

    Example: 2024-01

  • uptimePercent
    Long

    Percentage of time the platform was operational

    Example: 99.95

  • mttrMinutes
    String

    Mean Time To Recover in minutes

    Example: 12

  • mtbfMinutes
    String

    Mean Time Between Failures in minutes

    Example: 14400

  • incidentCount
    Integer

    Total number of incidents during the period

    Example: 3

  • totalDowntimeMinutes
    String

    Total platform downtime in minutes during the period

    Example: 21

  • slaTarget
    Long

    SLA target uptime percentage threshold

    Example: 99.9

  • slaMet
    Boolean

    Whether the SLA target was met during this period

    Example: true